#
# spec file for package xfce4-settings
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-settings
Version:        4.12.0
Release:        3.4
Summary:        Tools for Managing Xfce Settings
License:        GPL-2.0 and GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://docs.xfce.org/xfce/xfce4-settings/start
Source:         http://archive.xfce.org/src/xfce/xfce4-settings/4.12/%{name}-%{version}.tar.bz2
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(garcon-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(inputproto)
BuildRequires:  pkgconfig(libcanberra)
%if 0%{?suse_version} > 1320
BuildRequires:  pkgconfig(libinput)
%endif
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfce4kbd-private-2)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfconf-0)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xrandr)
Requires:       %{name}-branding = %{version}
Recommends:     %{name}-lang = %{version}
Provides:       xfce-mcs-manager = %{version}
Obsoletes:      xfce-mcs-manager < %{version}
Provides:       xfce-mcs-plugins = %{version}
Obsoletes:      xfce-mcs-plugins < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides a number of tools for managing settings in the Xfce
desktop environment.

%package branding-upstream
Summary:        Upstream Branding of xfce4-settings
Group:          System/GUI/XFCE
Supplements:    packageand(%{name}:branding-upstream)
Conflicts:      otherproviders(%{name}-branding)
Provides:       %{name}-branding = %{version}
#BRAND: xsettings.xml: Determines diverse settings including the default theme
#BRAND: and anti-aliasing default settings.
#BRAND: xfce-settings-manager.menu: Configures the settings manager menu.
BuildArch:      noarch

%description branding-upstream
This package provides the upstream look and feel for xfce4-settings.

%lang_package

%prep
%setup -q

%build
%configure \
    --with-helper-path-prefix=%{_libexecdir} \
    --enable-sound-settings \
    --enable-pluggable-dialogs
make %{?_smp_mflags} V=1

%install
%make_install

%suse_update_desktop_file xfsettingsd
# add back X-XFCE for now
%suse_update_desktop_file xfce-display-settings X-XFCE
# add back X-XFCE for now
%suse_update_desktop_file xfce-keyboard-settings X-XFCE
# add back X-XFCE for now
%suse_update_desktop_file xfce-mouse-settings X-XFCE
# add back X-XFCE for now
%suse_update_desktop_file xfce-settings-manager X-XFCE
# add back X-XFCE for now
%suse_update_desktop_file xfce-ui-settings X-XFCE
# add back X-XFCE for now; this is a personal and not a system setting
%suse_update_desktop_file -r xfce4-accessibility-settings XFCE X-XFCE GTK Settings DesktopSettings X-XFCE-SettingsDialog X-XFCE-PersonalSettings
# add back X-XFCE for now; this is a personal and not a system setting
%suse_update_desktop_file -r xfce4-mime-settings XFCE X-XFCE GTK Settings DesktopSettings X-XFCE-SettingsDialog X-XFCE-PersonalSettings
# add back X-XFCE for now
%suse_update_desktop_file xfce4-settings-editor X-XFCE

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{name} %{?no_lang_C}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%{_bindir}/xfce4-accessibility-settings
%{_bindir}/xfce4-appearance-settings
%{_bindir}/xfce4-display-settings
%{_bindir}/xfce4-keyboard-settings
%{_bindir}/xfce4-mouse-settings
%{_bindir}/xfce4-settings-editor
%{_bindir}/xfce4-settings-manager
%{_bindir}/xfsettingsd
%{_bindir}/xfce4-mime-settings
%dir %{_libexecdir}/xfce4/
%dir %{_libexecdir}/xfce4/settings/
%{_libexecdir}/xfce4/settings/appearance-install-theme
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_datadir}/icons/hicolor/*/*/*.png

%files lang -f %{name}.lang
%defattr(-,root,root)

%files branding-upstream
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%dir %{_sysconfdir}/xdg/menus
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu

%changelog
* Sun May 10 2015 zaitor@opensuse.org
- Only BuildRequire libinput for 13.3 and newer, it's optional, and
  the version in 13.2 is too old anyway.
* Sat Feb 28 2015 gber@opensuse.org
- update to version 4.12.0
  - do not change properties on disabled libinput devices
  - increased required automake and libtool versions
  - fix crashes for missing icons (bxo#11568)
  - fix warnings during configure
  - fix primary checkbox expansion in the display settings
  - translation updates
* Tue Feb 17 2015 gber@opensuse.org
- update to version 4.11.4
  - add touchpad support with libinput
  - add previews for icon themes in appearance settings
  - add Gtk+ theme palettes in the appearance dialog
  - add support for versioned help documentation
  - add support for libinput Xorg driver (bxo#11469)
  - add option to set the primary display (bxo#8328)
  - add helper to synchronize CSD layout to xfwm4
  - support stat command flags on BSD systems (bxo#11531)
  - show more information in icon-theme list (bxo#9130)
  - width of display dialog is no longer hard-coded
  - update display PNP IDs from hwdata
  - update mimeapps.list location for glib >= 2.41 (bxo#11293)
  - use 1/10 Hz precision for displays (bxo#10661)
  - fix segmentation fault when renaming workspaces (bxo#11229)
  - fix --display argument being fatal (bxo#11188)
  - fix alignment of the sound settings
  - fix issues found with cppcheck (bxo#10879) and other
    scanning utilities
  - do not try to reencode libxklavier descriptions (bxo#11317)
  - prevent invalid characters from breaking display name
    (bxo#11423)
  - translation updates
- drop obsolete xfce4-settings-fork-before-gtk-dbus-init.patch
* Mon Aug 25 2014 gber@opensuse.org
- add xfce4-settings-fork-before-gtk-dbus-init.patch in order to
  fix problems due to forking after gtk/dbus init (bxo#11045)
* Mon Aug 25 2014 gber@opensuse.org
- update to version 4.11.3
  - reapply settings when external keyboard connects
  - new display settings dialog
  - update the settings editor to match xfconf
  - fix overlap variable shadowing a global function
  - fork before gtk/dbus init
  - add support for upower 0.99
  - translation updates
* Thu May  1 2014 gber@opensuse.org
- update to version 4.11.2
  - increase double click time to 400ms (bxo#10562)
  - show/hide display popups with focus
  - add hotplug checkbox to plug dialog
  - identify Displays button
  - fix display mirroring
  - make mirror button insensitive if not possible
  - automatically re-enable Laptop-displays if all other displays
    get disconnected
  - add option to automatically show minimal-display dialog when
    new display gets connected
  - fix bugs with mnemonic accelerators (bxo#9302 and bxo#9308)
  - rework accelerators (bxo#9302 and box#9308)
  - autotools updates
  - make touchpad type delay configurable (bxo#8948)
  - mention no cache file for icon themes
  - support circular scrolling in the synaptics settings
  - make sure AccessXKeys control is disabled by default
  - lots of improvements in XKB code
  - xsettingsd: Unset input method properties (bxo#5437)
  - appearance: Fix gtk3 theme detection in install script
    (bxo#9272)
  - show Strv arrays in the xfconf settings editor renderer
  - lot of improvements in the display code: support extended
    desktop
    mode for 2 monitors, improve minimal dialog
  - xfsettingsd: Check for NoSuchExtension (bxo#9390)
  - translation updates
* Sun May  5 2013 gber@opensuse.org
- update to version 4.10.1
  - autotools updates
  - xsettingsd: Unset input method properties
  - appearance: Fix gtk3 theme detection in install script
  - xfsettingsd: Check service name of NameOwnerChanged
  - translation updates
* Sun Apr 29 2012 gber@opensuse.org
- update to version 4.10.0
  - use the more generic application-x-executable icon for MIME
    editor
  - Xsettings: fix an alignment problem seen on PPC
  - translation updates
* Sat Apr 14 2012 gber@opensuse.org
- update to version 4.9.5
  - fix display rate matching
  - bump package dependency versions
  - fix missing : in Xft.hintstyle
  - set Xcursor resources too
  - fix typo in appearance error
  - add hardcoded fallback if menu is not found
  - translation updates
* Fri Apr 13 2012 gber@opensuse.org
- add back X-XFCE category to all desktop files until XFCE is
  supported by %%suse_update_desktop_file
- fix non-existent icon name in xfce4-mime-settings.desktop
* Sun Apr  8 2012 gber@opensuse.org
- update to version 4.9.4
  - fix compilation without device property support
  - Xfsettingsd: don't set large dpi in xrdb
  - include xscreensaver in the manager dialog
  - complete theme installation script
  - Settings editor: set sensitivity of save button on init
  - Xfsettingsd: properly round display refresh rate to find match
  - add mime icons in the mime-editor treeview
  - store window and column sizes in xfconf
  - add cateogry based settings manager
  - re-add support for pluggable dialogs and enable them always
  - rework settings editor
  - clear out keyboard shortcuts before resetting to defaults
  - use daemon() for xfsettingsd if available
  - hide the xfconfd-already running message completely
  - excluded items with NoDisplay=true in the settings dialog
  - remove duplicated accelerators
  - add theme dnd-installation by dropping in a treeview
  - drop AC_LIBTOOL in favor of LT_PREREQ and LT_INIT
  - wait for the window manager before setting workspace names
  - add option to disable numlock restoring
  - add Help button and make existing buttons work with wiki
  - add new MIME Type editor
  - depend on Gtk+ 2.20 and Glib 2.24
  - merge xfce4-settings-helper into xfsettingsd
  - add support to xfsettingsd for pointing device properties
  - rework the mouse dialog and add support for basic synaptics
    and wacom settings
  - add option to enable assistive technologies during login
  - add fontconfig monitoring
  - improved debugging with XFSETTINGSD_DEBUG=1
  - updated translation
- dropped obsolete
  xfce4-settings-fix-keyboard-shortcut-settings.patch
* Fri Mar 30 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- added xfce4-settings-fix-keyboard-shortcut-settings.patch in
  order to clear out all old entries in the list of shortcuts when
  resetting the keyboard shortcuts in order to prevent duplicates
  (bxo#8138)
* Fri Sep 23 2011 gber@opensuse.org
- update to version 4.8.3
  - do not use freed memory
  - translation updates
* Wed Sep 21 2011 andrea.turrini@gmail.com
- fixed typos in xfce4-settings.spec
* Mon Sep 19 2011 gber@opensuse.org
- update to version 4.8.2
  - set sensitivity of custom dpi spinner
  - remove unused code and variables.
  - bugfixes
  - translation updates
* Fri Feb 18 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Thu Feb  3 2011 gber@opensuse.org
- update to version 4.8.1
  - bugfixes
  - tanslation updates
* Mon Jan 17 2011 gber@opensuse.org
- update to version 4.8.0
  - bugfixes
* Sat Jan 15 2011 gber@opensuse.org
- fixed typo
* Sat Jan 15 2011 gber@opensuse.org
- do not require but recommend -lang subpackage
* Tue Jan 11 2011 gber@opensuse.org
- removed dependency on xfconf
* Wed Jan  5 2011 gber@opensuse.org
- use consistent wording for the branding package
* Mon Dec 27 2010 gber@opensuse.org
- corrected URL
- corrected license
- improved summaries/descriptions
- added proper BRAND comment
- handle desktop files with %%%%suse_update_desktop_file
- mark configurations files as such
- split off -lang subpackage
- remove unsupported locales
- removed empty README
- show compiler output
- enable sound settings
- enable pluggable dialogs
* Sun Dec  5 2010 prusnak@opensuse.org
- updated to 4.7.6
  - Add checks for API change in libnotify 0.7.0.
- updated to 4.7.5
  - Use xfconf_channel_get instead of xfconf_channel_new.
  - Don't activate numlock on first launch.
  - Fix wrong capitalizations of Xfce.
  - Fix compiler warnings.
  - Drop Xfce from the settings manager .desktop name.
  - Fix free of invalid memory (bug #6909).
  - Translations updates (hu, zh_CN, he, pt, gl).
* Wed Dec  1 2010 prusnak@opensuse.org
- use pkgconfig symbol in BuildRequires
* Fri Nov 26 2010 andrea@opensuse.org
- new upstream version 4.7.4
* Wed Jan 13 2010 prusnak@suse.cz
-  updated to 4.6.4
  - Fix /Net/CursorBlinkTime property typo (bug #5488).
  - Improve error handling when setting the button map (part of bug #5004).
  - Fix the check for Xi so it does not fail with Xi2 (bug #4929).
  - Translation updates (ru, ja).
* Wed Nov 11 2009 prusnak@suse.cz
- updated to 4.6.3
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 4.6.1
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 4.6.0 (Xfce 4.6.0 release)
* Mon Aug 18 2008 prusnak@suse.cz
- created package (version 4.5.80)
